Package ru.bitel.bgbilling.modules.megogo.server.bean

# Class MegogoContractSubscriptionDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<MegogoContractSubscription>
ru.bitel.bgbilling.common.dao.AbstractIdDao<MegogoContractSubscription>
ru.bitel.bgbilling.modules.megogo.server.bean.MegogoContractSubscriptionDao

public class MegogoContractSubscriptionDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<MegogoContractSubscription>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MegogoContractSubscriptionDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MegogoContractSubscription`
  `getByFromId(int idFrom)`
  Получить подписку у которой idFrom равен заданному параметру.
  `List<MegogoContractSubscription>`
  `getContractsSubscriptionList(String contracts, String serviceIds, int type, Date dateFrom, Date dateTo, int exceptContractSubId)`
  Получение списка подписок для договоров в заданом периоде.
  `List<MegogoContractSubscription>`
  `getContractSubscriptionList(int contractId, int serviceId, int type, Period period, int exceptContractSubId)`
  Получение списка подписок для договора в заданом периоде.
  `List<MegogoContractSubscription>`
  `getContractSubscriptionList(int contractId, int serviceId, Date date)`
  Получение списка подписок для договора.
  `protected MegogoContractSubscription`
  `getFromRS(ResultSet rs)`
  `List<MegogoContractSubscription>`
  `getSubscriptionsForClose(Date date, boolean inclusive)`
  Получить список подписок, дата закрытия которых уже наступила(включительно или нет), но статус не закрытый.
  `List<MegogoContractSubscription>`
  `getSubscriptionsForOpen(Date date, boolean inclusive)`
  Получить список подписок, дата открытие которых уже наступила(включительно или нет) и статус установлен как на подключении, а так же даты завершения либо нет, либо она еще не наступила.
  `int`
  `updateDateActivated(int id, Date date)`
  Установка даты активации
  `int`
  `updateDateDeactivated(int id, Date date)`
  Установка даты деактивации
  `protected void`
  `updateImpl(MegogoContractSubscription contractSubscription)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MegogoContractSubscriptionDao

    public MegogoContractSubscriptionDao(Connection con, int moduleId)

- ## Method Details

  - ### getContractSubscriptionList

    public List<MegogoContractSubscription> getContractSubscriptionList(int contractId, int serviceId, Date date) throws SQLException
    Получение списка подписок для договора.
    Parameters:
      `contractId` - - код договора.
      `serviceId` - - код услуги, если invalid input: '<' 0, то все.
      `date` - - активные на дату, если null, то все.
    Throws:
      `SQLException`

  - ### getContractSubscriptionList

    public List<MegogoContractSubscription> getContractSubscriptionList(int contractId, int serviceId, int type, Period period, int exceptContractSubId) throws SQLException
    Получение списка подписок для договора в заданом периоде.
    Parameters:
      `serviceId` - - код услуги.
      `exceptContractSubId` - - код подписки который не должен входить в список.
      `contract` - - код договора.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getContractsSubscriptionList

    public List<MegogoContractSubscription> getContractsSubscriptionList(String contracts, String serviceIds, int type, Date dateFrom, Date dateTo, int exceptContractSubId) throws SQLException
    Получение списка подписок для договоров в заданом периоде.
    Если одна из дат = null, то будет период от даты до бесконечности в будущее либо до бесконечности в прошлое
    Нет смысла фильтровать по услуге и типу одновременно.
    Parameters:
      `contracts` - - список договоров через запятую. Если null то все договора.
      `serviceIds` - - код услуг, если null или пустая, то все.
      `type` - - тип подписки( 1 - Основаня, может быть только одна в один момент времяни, 2 - дополнительная независемая ) invalid input: '<' 1 все.
      `exceptContractSubId` - - код подписки который не должен входить в список, если invalid input: '<' 1, то все.
    Throws:
      `SQLException`

  - ### getFromRS

    protected MegogoContractSubscription getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<MegogoContractSubscription>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(MegogoContractSubscription contractSubscription) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<MegogoContractSubscription>`
    Throws:
      `SQLException`

  - ### getByFromId

    public MegogoContractSubscription getByFromId(int idFrom) throws SQLException
    Получить подписку у которой idFrom равен заданному параметру.
    Parameters:
      `idFrom` - - код подписки договора.
    Throws:
      `SQLException`

  - ### updateDateActivated

    public int updateDateActivated(int id, Date date) throws SQLException
    Установка даты активации
    Parameters:
      `id` - - код подписки договора.
    Throws:
      `SQLException`

  - ### updateDateDeactivated

    public int updateDateDeactivated(int id, Date date) throws SQLException
    Установка даты деактивации
    Parameters:
      `id` - - код подписки договора.
    Throws:
      `SQLException`

  - ### getSubscriptionsForClose

    public List<MegogoContractSubscription> getSubscriptionsForClose(Date date, boolean inclusive) throws SQLException
    Получить список подписок, дата закрытия которых уже наступила(включительно или нет), но статус не закрытый.
    Parameters:
      `date` - - на какую дату, по хорошему должна быть текущей.
      `inclusive` - - включительно ли, если false, то строго меньше переданного дня, иначе(true) и подписки которые завершаются переданным днем.
    Throws:
      `SQLException`

  - ### getSubscriptionsForOpen

    public List<MegogoContractSubscription> getSubscriptionsForOpen(Date date, boolean inclusive) throws SQLException
    Получить список подписок, дата открытие которых уже наступила(включительно или нет) и статус установлен как на подключении, а так же даты завершения либо нет, либо она еще не наступила.
    Parameters:
      `date` - - на какую дату, по хорошему должна быть текущей.
      `inclusive` - - включительно ли, если false, то строго больше переданного дня, иначе(true) и подписки которые начинаются переданным днем.
    Throws:
      `SQLException`